package com.lantone.structure.facade;

import com.lantone.structure.client.CRFServiceClient;
import com.lantone.structure.client.SimilarityServiceClient;
import com.lantone.structure.dto.AnalysisDTO;
import com.lantone.structure.facade.tran.CesareanSectionTran;
import com.lantone.structure.facade.tran.ClinicalBloodTran;
import com.lantone.structure.facade.tran.RescueTran;
import com.lantone.structure.facade.tran.StagesSummaryTran;
import com.lantone.structure.facade.tran.TargetTran;
import com.lantone.structure.vo.AnalysisVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: rengb
 * @time: 2020/12/18 16:22
 */
@Slf4j
@Component
public class StructureFacade {
    @Autowired
    CRFServiceClient crfServiceClient;
    @Autowired
    SimilarityServiceClient similarityServiceClient;


    public AnalysisDTO analysis(AnalysisVO analysisVO) {
        AnalysisDTO analysisDTO = new AnalysisDTO();
        TargetTran targetTran = null;
        switch (analysisVO.getType()) {
            case "剖宫产手术":
                targetTran = new CesareanSectionTran();
                break;
            case "输血记录":
                targetTran = new ClinicalBloodTran();
                break;
            case "抢救记录":
                targetTran = new RescueTran();
                break;
            case "阶段小结":
                targetTran = new StagesSummaryTran();
                break;
            default:
                break;
        }
        analysisDTO.setResult(targetTran.convert(analysisVO.getText()));
        return analysisDTO;
    }

}